Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class Fault

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.Fault

    public class Fault

extends Object

Fault reporting structure

Java class for Fault complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Fault">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="faultcode" type="{http://www.w3.org/2001/XMLSchema}QName"/>
             <element name="faultstring" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="faultactor" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
             <element name="detail" type="{http://schemas.xmlsoap.org/soap/envelope/}detail" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Detail` | `detail`
`protected String` | `faultactor`
`protected QName` | `faultcode`
`protected String` | `faultstring`

Constructor Summary
`Fault()`

Method Summary
`Detail` | `getDetail()` Gets the value of the detail property.
`String` | `getFaultactor()` Gets the value of the faultactor property.
`QName` | `getFaultcode()` Gets the value of the faultcode property.
`String` | `getFaultstring()` Gets the value of the faultstring property.
`void` | `setDetail(Detail value)` Sets the value of the detail property.
`void` | `setFaultactor(String value)` Sets the value of the faultactor property.
`void` | `setFaultcode(QName value)` Sets the value of the faultcode property.
`void` | `setFaultstring(String value)` Sets the value of the faultstring property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### faultcode

    protected QName faultcode

### faultstring

    protected String faultstring

### faultactor

    protected String faultactor

### detail

    protected Detail detail

Constructor Detail

### Fault

    public Fault()

Method Detail

### getFaultcode

    public QName getFaultcode()

  Gets the value of the faultcode property.

  Returns:
    possible object is `QName`

### setFaultcode

    public void setFaultcode(QName value)

  Sets the value of the faultcode property.

  Parameters:
    `value` - allowed object is `QName`

### getFaultstring

    public String getFaultstring()

  Gets the value of the faultstring property.

  Returns:
    possible object is `String`

### setFaultstring

    public void setFaultstring(String value)

  Sets the value of the faultstring property.

  Parameters:
    `value` - allowed object is `String`

### getFaultactor

    public String getFaultactor()

  Gets the value of the faultactor property.

  Returns:
    possible object is `String`

### setFaultactor

    public void setFaultactor(String value)

  Sets the value of the faultactor property.

  Parameters:
    `value` - allowed object is `String`

### getDetail

    public Detail getDetail()

  Gets the value of the detail property.

  Returns:
    possible object is `Detail`

### setDetail

    public void setDetail(Detail value)

  Sets the value of the detail property.

  Parameters:
    `value` - allowed object is `Detail`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.